| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# EvtDataSvc Class Reference

`#include <EvtDataSvc.h>`

Inheritance diagram for EvtDataSvc:

[legend]
Collaboration diagram for EvtDataSvc:

[legend]

List of all members.

## Detailed Description

A EvtDataSvc is the base class for event services.

Author:
  M.Frank

Definition at line 15 of file EvtDataSvc.h.

## Public Member Functions
virtual StatusCode | initialize ()
| Service initialisation.
virtual StatusCode | reinitialize ()
| Service reinitialisation.
virtual StatusCode | finalize ()
| Service finalization.
| EvtDataSvc (const std::string &name, ISvcLocator *svc)
| Standard Constructor.
virtual | ~EvtDataSvc ()
| Standard Destructor.
## Private Attributes
IConversionSvc * | m_cnvSvc
## Friends
class | SvcFactory< EvtDataSvc >

## Constructor & Destructor Documentation

EvtDataSvc::EvtDataSvc | ( | const std::string & | name,
|  | ISvcLocator * | svc |
| ) |  |  |

Standard Constructor.

Definition at line 56 of file EvtDataSvc.cpp.

    00057 : DataSvc(name,svc)   {
    00058   m_cnvSvc = 0;
    00059 }

EvtDataSvc::~EvtDataSvc | ( |  | ) | `[virtual]`

Standard Destructor.

Definition at line 62 of file EvtDataSvc.cpp.

    00062                          {
    00063 }

## Member Function Documentation

StatusCode EvtDataSvc::initialize | ( |  | ) | `[virtual]`

Service initialisation.

Reimplemented from DataSvc.

Definition at line 31 of file EvtDataSvc.cpp.

    00031                                      {
    00032   // Nothing to do: just call base class initialisation
    00033   StatusCode      status  = DataSvc::initialize();
    00034   ISvcLocator*    svc_loc = serviceLocator();
    00035
    00036   // Attach data loader facility
    00037   status = svc_loc->service("EventPersistencySvc", m_cnvSvc, true);
    00038   status = setDataLoader( m_cnvSvc );
    00039   return status;
    00040 }

StatusCode EvtDataSvc::reinitialize | ( |  | ) | `[virtual]`

Service reinitialisation.

Reimplemented from DataSvc.

Definition at line 42 of file EvtDataSvc.cpp.

    00042                                        {
    00043   // Do nothing for this service
    00044   return StatusCode::SUCCESS;
    00045 }

StatusCode EvtDataSvc::finalize | ( | void |  | ) | `[virtual]`

Service finalization.

Reimplemented from DataSvc.

Definition at line 47 of file EvtDataSvc.cpp.

    00047                                    {
    00048
    00049   if( m_cnvSvc ) m_cnvSvc->release();
    00050   m_cnvSvc = 0;
    00051   DataSvc::finalize().ignore();
    00052   return StatusCode::SUCCESS ;
    00053 }

## Friends And Related Function Documentation

friend class SvcFactory< EvtDataSvc >`[friend]`

Definition at line 16 of file EvtDataSvc.h.

## Member Data Documentation

IConversionSvc* EvtDataSvc::m_cnvSvc`[private]`

Definition at line 29 of file EvtDataSvc.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiSvc/src/DataSvc/EvtDataSvc.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiSvc/src/DataSvc/EvtDataSvc.cpp